* {
    -webkit-print-color-adjust: exact !important;   /* Chrome, Safari 6 – 15.3, Edge */
    color-adjust: exact !important;                 /* Firefox 48 – 96 */
    print-color-adjust: exact !important;           /* Firefox 97+, Safari 15.4+ */
}

#competitorsList .button-group {
    margin:0px;
}

#competitorsList {
    font-size: 0.8em;
}

#competitorsList .actions {
    padding-top:1px;
    padding-bottom:0px;
    width:80px;
}

#competitorsList .actions .button-group .button {
    padding:0.5em 0.5em;
}

#editCompetitorModal [data-section=grades] table,
#newCompetitorModal [data-section=grades] table {
    font-size: 0.7em;
}

#editCompetitorModal [data-section=grades] table td,
#editCompetitorModal [data-section=grades] table th,
#newCompetitorModal [data-section=grades] table td,
#newCompetitorModal [data-section=grades] table th {
    padding-top: 2px;
    padding-bottom: 2px;
}

#editCompetitorModal [data-section=grades] input[type=text],
#editCompetitorModal [data-section=grades] select,
#newCompetitorModal [data-section=grades] input[type=text],
#newCompetitorModal [data-section=grades] select {
    margin-bottom:0px;
    font-size: 1em;
    height:auto;
    padding-top: 4px;
    padding-bottom: 4px;
}

#downloadMeytonStartList_CompetitorList div.bay.error {
    color:#FF0000;
    text-decoration: line-through;
}

.ui-front.ui-autocomplete
{
    z-index:2000;
}

span.error
{
    color:#F00;
}

.button.form-button,
.labelless
{
    margin-top:24px;
}

.button.full-width
{
    width:100%;
}

.button img.loading
{
    height:27px;
}

.button .hidden
{
    display:none;
}

#controls .button-group,
table.scores tfoot .button-group,
table.combination tfoot .button-group
{
    margin:0px;
}

div[data-matchid]:last-child table.scores tfoot .button-group .button.notlastmatch,
div[data-matchid]:first-child table.scores tfoot .button-group .button.notfirstmatch,
div[data-combinationid]:last-child table.combination tfoot .button-group .button.notlastcombination,
div[data-combinationid]:first-child table.combination tfoot .button-group .button.notfirstcombination
{
    display:none;
}

table.score-import td,
table.score-import th
{
    padding:2px;
}

table.scores tbody,
table.combination tbody,
table.scores tbody tr td.member_score div input[type=text],
table.scores tbody tr td.member_bay div input[type=text],
table.scores tbody tr td.member_centres div input[type=text],
table.score-import
{
    font-size:10px;
}

table.scores thead tr th.trv_id,
table.combination thead tr th.trv_id
{
    width:65px;
}

table.scores thead tr th.member_club,
table.combination thead tr th.member_club
{
    width:150px;
}

table.scores thead tr th.member_age,
table.scores thead tr th.member_grade,
table.combination thead tr th.member_age,
table.combination thead tr th.member_grade
{
    width:30px;
    text-align:center;
}

table.scores thead tr th.member_bay,
table.scores thead tr th.member_centres
{
    width:30px;
    text-align:center;
}

table.scores thead tr th.member_score,
table.combination thead tr th.member_score
{
    width:75px;
    text-align:center;
}

table.scores thead tr th.member_total,
table.scores thead tr th.member_handicap,
table.combination thead tr th.member_total,
table.combination thead tr th.member_handicap
{
    width:75px;
    text-align:right;
}

table.scores tbody tr td.member_score,
table.scores tbody tr td.member_bay,
table.scores tbody tr td.member_centres
{
    padding:0px;
    margin:0px;
}

table.combination tbody tr td.member_score,
table.combination tbody tr td.member_bay,
table.combination tbody tr td.member_centres
{
    text-align:center;
}

table.scores tbody tr td.member_score div input[type=text],
table.scores tbody tr td.member_bay div input[type=text],
table.scores tbody tr td.member_centres div input[type=text]
{
    margin:0px;
    padding:4px;
    text-align:center;
    height:auto;
}

table.scores tbody tr td.member_age,
table.scores tbody tr td.member_grade,
table.scores tbody tr th.member_score,
table.scores tbody tr th.member_bay,
table.scores tbody tr th.member_centres,
table.combination tbody tr td.member_age,
table.combination tbody tr td.member_grade,
table.combination tbody tr th.member_score
{
    text-align:center;
}

table.scores tbody tr td.member_grade[data-method=ungraded],
table.scores tbody tr td.member_grade[data-method=Calculated],
table.scores tbody tr td.member_grade.ungraded
{
    font-style: italic;
    color: #CCAA00;
}

table.scores tbody tr td.member_grade.calculated[data-method=Calculated]
{
    font-weight: bold;
    color: #CCAA00;
}

table.scores tbody tr td.member_grade[data-method=Manual]
{
    color: #555555;
}

table.scores tbody tr td.member_grade[data-method=Override]
{
    color: #FF0000;
}

table.scores tbody tr.not-financial td.member_name,
table.scores tbody tr.not-financial td.member_club
{
    color: #FF0000;
}

table.scores tbody tr.user-defined td.member_name,
table.scores tbody tr.user-defined td.member_club
{
    color: #555555;
}

table.scores tbody tr td.member_total,
table.scores tbody tr td.member_handicap,
table.combination tbody tr td.member_total,
table.combination tbody tr td.member_handicap
{
    text-align:right;
}

table.scores tbody tr td.member_score div input[type=text].invalid,
table.scores tbody tr td.member_bay div input[type=text].invalid,
table.scores tbody tr td.member_centres div input[type=text].invalid
{
    background-color:#FF0000;
    color:#FFFFFF;
}

.print-only {
    display: none !important;
}

@page upright {
  size: portrait;
  page-orientation: upright;
}

@page left {
  size: landscape;
  page-orientation: rotate-left;
}

@page right {
  size: landscape;
  page-orientation: rotate-right;
}

@media print
{
    body > *
    {
        display: none !important;
    }
    
    .printable, .print-only
    {
        display: block !important;
    }

    table.match-summary.unstriped tbody tr.section,
    table.combination-summary.unstriped tbody tr.section
    {
        background-color: #eee !important;
        print-color-adjust: exact;
        -webkit-print-color-adjust: exact;
    }
    
    table.match-summary.unstriped tbody tr.competition-name,
    table.match-results thead tr.competition-name
    {
        background-color: #98D8EF !important;
        print-color-adjust: exact;
        -webkit-print-color-adjust: exact;
    }
    
    table.records-summary thead tr.competition-name,
    table.records-summary thead tr.records-heading
    {
        background-color: #F8ED8C !important;
        print-color-adjust: exact;
        -webkit-print-color-adjust: exact;
    }

    table.match-startlist thead tr.competition-name
    {
        background-color: #FFC6C6 !important;
        print-color-adjust: exact;
        -webkit-print-color-adjust: exact;
    }
    
    table.combination-summary.unstriped tbody tr.competition-name,
    table.combination-results thead tr.competition-name
    {
        background-color: #DDEB9D !important;
        print-color-adjust: exact;
        -webkit-print-color-adjust: exact;
    }

    table.match-summary.unstriped tbody tr.match-name,
    table.match-results thead tr.match-name
    {
        background-color: #98D8EF !important;
        print-color-adjust: exact;
        -webkit-print-color-adjust: exact;
    }

    table.match-startlist thead tr.match-name
    {
        background-color: #FFC6C6 !important;
        print-color-adjust: exact;
        -webkit-print-color-adjust: exact;
    }
    
    table.combination-summary.unstriped tbody tr.combination-name,
    table.combination-results thead tr.combination-name
    {
        background-color: #DDEB9D !important;
        print-color-adjust: exact;
        -webkit-print-color-adjust: exact;
    }

    table
    {
        break-after: page;
    }

    tr {
        page-break-inside: avoid;
    }
    
    .upright {
        page: upright;
    }
    .left {
        page: left;
    }
    .right {
        page: right;
    }
}

table.match-summary,
table.combination-summary,
table.records-summary
{
    width:600px;
    margin: auto;
    font-size: 10pt;
}

table.match-results,
table.match-startlist,
table.combination-results
{
    width: 100%;
    font-size: 10pt;
}

table.match-summary.unstriped tbody,
table.match-results,
table.match-startlist,
table.combination-summary.unstriped tbody,
table.combination-results,
table.records-summary
{
    border: Solid 2px #222;
}

table.match-results thead tr.headings,
table.match-startlist thead tr.headings,
table.combination-results thead tr.headings,
table.records-summary thead tr.headings
{
    border-top: Solid 2px #222;
}

table.match-summary.unstriped tbody tr.section,
table.combination-summary.unstriped tbody tr.section,
table.records-summary tbody tr.section
{
    border-top: Solid 1px #222;
    border-bottom: Solid 1px #222;
    background-color: #eee !important;
}

table.records-summary thead tr.competition-name,
table.records-summary thead tr.records-heading,
table.match-summary.unstriped tbody tr.competitor.record,
table.match-results tbody tr.competitor.record
{
    background-color: #F8ED8C !important;
}


table.match-summary.unstriped tbody tr.competition-name,
table.match-results thead tr.competition-name
{
    background-color: #98D8EF !important;
}

table.match-startlist thead tr.competition-name
{
    background-color: #FFC6C6 !important;
}

table.combination-summary.unstriped tbody tr.competition-name,
table.combination-results thead tr.competition-name
{
    background-color: #DDEB9D !important;
}

table.match-summary.unstriped tbody tr.match-name,
table.match-results thead tr.match-name
{
    background-color: #98D8EF !important;
}

table.match-startlist thead tr.match-name
{
    background-color: #FFC6C6 !important;
}

table.combination-summary.unstriped tbody tr.combination-name,
table.combination-results thead tr.combination-name
{
    background-color: #DDEB9D !important;
}

table.match-results tbody tr:nth-child(2n),
table.match-results thead tr.headings,
table.records-summary thead tr.headings,
table.match-startlist tbody tr:nth-child(2n),
table.match-startlist thead tr.headings,
table.combination-results tbody tr:nth-child(2n),
table.combination-results thead tr.headings
{
    background-color: #f1f1f1 !important;
}

table.match-summary.unstriped tbody tr,
table.combination-summary.unstriped tbody tr
{
    border: none;
}

table.match-summary .competition-name td,
table.match-results .competition-name th,
table.match-startlist .competition-name th,
table.combination-summary .competition-name td,
table.combination-results .competition-name th,
table.records-summary .competition-name th
{
    text-align: center;
    font-weight: bold;
    font-size: 1.2em;
    padding: 1px 3px;
}

table.match-summary .match-name td,
table.match-results .match-name th,
table.match-startlist .match-name th,
table.combination-summary .combination-name td,
table.combination-results .combination-name th,
table.records-summary .records-heading th
{
    text-align: center;
    font-weight: bold;
    font-size: 1.1em;
    padding: 1px 3px;
}

.match-summary .section td,
.combination-summary .section td,
table.records-summary .section td
{
    text-align: center;
    font-weight: bold;
    font-size: 1em;
    padding: 1px 3px;
}

.match-summary .competitor td,
.combination-summary .competitor td,
table.records-summary .competitor td
{
    font-size: 1em;
    padding: 1px 3px;
}

table.records-summary tr.competitor td.member_name
{
    text-align: left;
}

table.records-summary tr.competitor td.category,
table.records-summary tr.competitor td.discipline
{
    text-align: left;
    width: 100px;
}

table.records-summary tr.competitor td.score,
table.records-summary tr.competitor td.previous-score
{
    text-align: center;
    width: 80px;
}

table.records-summary tr.competitor td.previous-date
{
    text-align: right;
    width: 100px;
}

.match-results .competitor td,
.match-results .headings th,
table.records-summary thead tr.headings th,
.match-startlist .competitor td,
.match-startlist .headings th,
.combination-results .competitor td,
.combination-results .headings th
{
    font-size: 0.8em;
    padding: 1px 3px;
}

.match-results .score,
.match-results .score_ppp,
.match-results .bay,
.match-results .age,
.match-results .grade,
.match-startlist .bay,
.match-startlist .age,
.match-startlist .grade,
.combination-results .score,
.combination-results .score_ppp,
.combination-results .bay,
.combination-results .age,
.combination-results .grade,
table.records-summary thead tr.headings th.score,
table.records-summary thead tr.headings th.previous-score
{
    text-align: center;
}

.match-results .position,
.match-results .id,
.match-results .fname,
.match-results .sname,
.match-results .club,
.match-startlist .id,
.match-startlist .name,
.match-startlist .club,
.combination-results .position,
.combination-results .id,
.combination-results .fname,
.combination-results .sname,
.combination-results .club,
table.records-summary thead tr.headings th.discipline,
table.records-summary thead tr.headings th.category,
table.records-summary thead tr.headings th.member_name
{
    text-align: left;
}

table.records-summary thead tr.headings th.previous-date
{
    text-align: right;
}

.match-results .total,
.match-results .handicap,
.combination-results .total,
.combination-results .handicap
{
    text-align: right;
    width: 70px;
}

.match-results .position,
.match-results .id,
.match-startlist .id,
.combination-results .position
.combination-results .id
{
    width: 40px;
}

.match-results .score
.combination-results .score
{
    width: 45px;
}

.match-results .score_ppp,
.combination-results .score_ppp
{
    width: 90px;
}

.match-startlist .bay,
.match-startlist .age,
.match-startlist .grade
{
    width: 40px;
}

.match-results .bay,
.match-results .age,
.match-results .grade,
.combination-results .bay,
.combination-results .age,
.combination-results .grade
{
    width: 20px;
}

.match-summary .competitor td div,
.combination-summary .competitor td div
{
    white-space: nowrap;
    overflow: hidden;
    text-overflow: clip;
}

.match-summary .competitor td:nth-child(1),
.combination-summary .competitor td:nth-child(1)
{
    text-align: left;
    width: 25px;
}

.match-summary .competitor td:nth-child(3),
.combination-summary .competitor td:nth-child(3)
{
    text-align: left;
    width: 200px;
}

.match-summary .competitor td:nth-child(4),
.combination-summary .competitor td:nth-child(4)
{
    text-align: center;
    width: 60px;
}

.match-summary .competitor td:nth-child(5),
.combination-summary .competitor td:nth-child(5)
{
    text-align: center;
    width: 90px;
}

.match-summary .competitor td:nth-child(1) div,
.combination-summary .competitor td:nth-child(1) div
{
    width: 25px;
}

.match-summary .competitor td:nth-child(2) div,
.combination-summary .competitor td:nth-child(2) div
{
    width: 225px;
}

.match-summary .competitor td:nth-child(3) div,
.combination-summary .competitor td:nth-child(3) div
{
    width: 200px;
}

.match-summary .competitor td:nth-child(4) div,
.combination-summary .competitor td:nth-child(4) div
{
    width: 60px;
}

.match-summary .competitor td:nth-child(5) div,
.combination-summary .competitor td:nth-child(5) div
{
    width: 80px;
}

#controls .button-group .button,
table.scores .button-group .button,
table.combination .button-group .button
{
    font-size: 18pt;
    padding: 7px 10px;
}

body.showtext #controls .button-group .button span,
body.showtext table.scores .button-group .button span,
body.showtext table.combination .button-group .button span
{
    font-size: 0.5em;
    display:inline-block;
}

body.hidetext #controls .button-group .button span,
body.hidetext table.scores .button-group .button span,
body.hidetext table.combination .button-group .button span
{
    display:none;
}

table.score-import.exclude-unknown tr.unknown td.member_id,
table.score-import td.invalid
{
    color: #FF0000;
}

table.score-import.include-unknown tr.unknown td.member_id
{
    color: #CC8800;
}

table.score-import tr.invalid
{
    background-color: #FFCCCC;
}
